<div class="container citiesTable">
  <div class="row mb-3">
    <input type="text" placeholder="Search by city name" (input)="onSearchChange()" [(ngModel)]="filter" class="form-control col-md-2">
    <div class="col-8"></div>
    <button class="btn btn-success col-md-2" (click)='open(addCityModal)'>Add City</button>
  </div>
  <div class="row">
    <table class="table table-hover">
      <thead class="bg-info text-light">
        <tr>
          <th>Id</th>
          <th>Name</th>
          <th>Zip Code</th>
          <th></th>
          <th></th>
          <th></th>
          <th></th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let city of cities; let i = index">
          <td>{{city.id}}</td>
          <td>{{city.name}}</td>
          <td>{{city.zipCode}}</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
          <td (click)="deleteCity(i)"><i ngbTooltip="Remove" class="far fa-trash-alt text-danger"></i></td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="row">
    <label class="col-2" for="itemsPerPage">
      <b>Items per page:</b>
    </label>
    <select class="col-2" [(ngModel)]="size" name="itemsPerPage" (change)="onSelectChange()" value=10>
      <option [ngValue]="3">3</option>
      <option [ngValue]="5">5</option>
      <option [ngValue]="10">10</option>
    </select>

  </div>
  <div class="row mt-5">
    <ngb-pagination class="d-flex justify-content-start" [collectionSize]="total" [pageSize]="size" [(page)]="page"
      [maxSize]=7 (pageChange)="onPageChange($event)"></ngb-pagination>
  </div>
</div>

<ng-template #addCityModal let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Add City</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form #cityForm="ngForm">
      <div class="form-group">
        <label for="city">Name</label>
        <input type="text" class="form-control" name="city" placeholder="Enter city name" [(ngModel)]="cityAdd.name"
          #city="ngModel" required>
        <p class="text-danger" *ngIf="city.invalid && (city.dirty || city.touched)">Field cannot be empty</p>
        <label for="zipCode">Zip Code</label>
        <input type="text" class="form-control" name="zipCode" placeholder="Enter zip code" [(ngModel)]="cityAdd.zipCode"
          #zipCode="ngModel" required>
        <p class="text-danger" *ngIf="zipCode.invalid && (zipCode.dirty || zipCode.touched)">Field cannot be empty</p>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-success" (click)="c();addCity()" [disabled]="cityForm.invalid">Confirm</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-secondary" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>